import { DialogRef } from '@angular/cdk/dialog';
import { NgmThemeService } from '@metad/ocap-angular/core';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export interface ConfirmCodeEditorData {
    language?: string;
    model: any;
    onApply?: (model: any) => void;
}
export declare class NgmConfirmCodeEditorComponent {
    readonly themeService: NgmThemeService;
    readonly data: ConfirmCodeEditorData;
    readonly dialogRef: DialogRef<any, any>;
    isDialogContainer: boolean;
    editor$: BehaviorSubject<any>;
    editorOptions: {
        theme: string;
        language: string;
        automaticLayout: boolean;
    };
    statement: string | null;
    constructor();
    onReset(): void;
    onClear(): void;
    onApply(): void;
    onOk(): void;
    onCancel(): void;
    parse(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmConfirmCodeEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmConfirmCodeEditorComponent, "ngm-confirm-code-editor", never, {}, {}, never, never, true, never>;
}
